### A free/open-source library for quantitative finance

Public Member Functions
GaussLegendreIntegration Class Reference

Gauss-Legendre integration. More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussLegendreIntegration:
[legend]

List of all members.

## Public Member Functions

| GaussLegendreIntegration (Size n)

## Detailed Description

Gauss-Legendre integration.

This class performs a 1-dimensional Gauss-Legendre integration.

The weighting function is